{% extends "ajax/ajax.html.twig" %}

{% block menu_bar %}
    {#<ul class="user">
        <li>{{ username }}</li>
        <li><a title="{% trans from 'soul' %}Logout{% endtrans %}" target="_self" href="{{ path('auto_logout') }}">&#10006;</a></li>
    </ul>#}
    {% if clock is defined %}
        <ul class="clock">
            <li>{{ clock.desc }}</li>
            <li>{% if clock.towntype == 'panda' %}<span class="hardcore">{{'Pandämonium'|trans({}, 'game')}}</span> {% endif %}{% if clock.day != "" %}{{ 'Tag %day%'|trans({'%day%': clock.day}, 'game') }}{% endif %}</li>
            <li><div class="tooltip help">{{ 'Spielzeit'|trans({},'game') }}</div>{{ clock.timestamp.format('G:i') }}</li>
            <li x-countdown="{{ clock.attack }}" x-countdown-no-seconds="1" x-countdown-force-hours="1"></li>
            <li><a target="_self" href="{{ path('auto_logout') }}"><img src="{{ asset('build/images/icons/b_exit.png') }}" alt="{{ 'Logout'|trans({},'soul') }}"></a><div class="tooltip">{{ 'Logout'|trans({},'soul') }}</div></li>
        </ul>
    {% endif %}
    
    {% if rucksack is defined %}
        <ul class="rucksack">
            <li class="text">{{'Rucksack'|trans({}, 'game')}}</li>
            {% for item in rucksack.items %}
                {% embed "ajax/game/item.html.twig" with {'item': item, 'no_id': true} %}{% endembed %}
            {% endfor %}
            {% if rucksack.items|length < rucksack_size %}
                {% for i in range(0, rucksack_size - rucksack.items|length - 1)%}
                    <li class="free"></li>
                {% endfor %}
            {% endif %}
            {% if rucksack_size > 7 %}
                <li class="more">
                    <img src="{{ asset("build/images/icons/small_more2.gif") }}" alt="+" />
                </li>
            {% endif %}
        </ul>
    {% endif %}

    {% if status is defined %}
        <ul class="status">
            <li class="text">{{'Status'|trans({}, 'game')}}</li>
            {% for stat in status %}
                {# @var stat \App\Entity\CitizenStatus #}
                {% if not stat.hidden %}
                    <li class="status">
                    	<img src="{{ asset('build/images/status/status_' ~ stat.name ~ '.gif') }}" alt="{{ stat.label|trans({},'game') }}">
                    	{% if stat.description %}
                    	<div class="tooltip normal">
                            <h1>{{ stat.label|trans({}, 'game') }}</h1>
                        {{ stat.description|trans({}, 'game')}}
                    	</div>
                    	{% endif %}
                    </li>
                {% endif %}
            {% endfor %}
        </ul>
    {% endif %}

    <div class="ulcont">
        {% if ap is defined and max_ap is defined %}
            <div>
                <ul class="ap">
                    <li><b class="{{ ap == 0 ? 'red' : '' }}">{{ ap }}</b><em>/{{ max_ap }}</em></li>
                </ul>
                <div class="tooltip help">
                    <h1>{{ 'Aktionspunkte'|trans({},'game') }}</h1>
                    <em>{% trans from 'game' %}
                            Für viele Aktionen, wie beispielsweise die Erkundung der Aussenwelt oder der Arbeit auf einer Baustelle,
                            benötigst du Aktionspunkte. Deine Aktionspunkte werden jede Nacht nach dem Angriff aufgefüllt. Außerdem
                            kannst du sie durch den Einsatz bestimmter Gegenstände sowie einmal pro Tag durch Essen und Trinken neu
                            auffüllen.
                        {% endtrans %}</em>
                </div>
            </div>
        {% endif %}
        {% if bp is defined and max_bp is defined and max_bp > 0 %}
            <div>
                <ul class="bp">
                    <li><b class="{{ bp == 0 ? 'red' : '' }}">{{ bp }}</b><em>/{{ max_bp }}</em></li>
                </ul>
                <div class="tooltip help">
                    <h1>{{ 'Baupunkte'|trans({},'game') }}</h1>
                    <em>{% trans from 'game' %}
                            Baupunkte können in der Werkstatt und auf Baustellen verwendet werden, wo sie wie Aktionspunkte
                            zählen. Wenn möglich werden immer zuerst Baupunkte verbraucht, bevor Aktionspunkte eingesetzt
                            werden. Bedenke, dass Baupunkte nicht eingesetzt werden können wenn du erschöpft bist!
                        {% endtrans %}</em>
                </div>
            </div>
        {% endif %}
        {% if pm is defined and max_pm is defined and max_pm > 0 %}
            <div>
                <ul class="pm">
                    <li><b class="{{ pm == 0 ? 'red' : '' }}">{{ pm }}</b><em>/{{ max_pm }}</em></li>
                </ul>
                <div class="tooltip help">
                    <h1>{{ 'Mystic-Punkte'|trans({},'game') }}</h1>
                    <em>{% trans from 'game' %}
                            Diese Punkte sind exklusiv für den Schamanen reserviert.
                        {% endtrans %}</em>
                </div>
            </div>
        {% endif %}

    </div>
    {% if (banished is defined and banished) or (roles is defined and roles|length > 0) %}
        <ul class="ulcont">
            {% for role in roles %}
                {# @var role \App\Entity\CitizenRole #}
                {% if not role.hidden %}
                    <li class="status">
                        <img src="{{ asset('build/images/roles/' ~ role.icon ~ '.gif') }}" alt="{{ role.label|trans({},'game') }}">
                        {% if role.name == 'ghoul' %}
                            <div class="ghoul-hunger-container hide-md hide-sm">
                                <div class="ghoul-hunger-background"></div>
                                <div class="ghoul-hunger-bar {% if hunger > 40 %}warning{% endif %}" style="width: {{ min(100,hunger) }}%"></div>
                                <div class="ghoul-hunger-indicator" style="left: 40%"></div>
                            </div>
                            {% if hunger > 40 %}
                                <div class="ghoul-message">{{"Du wirst heute Nacht sterben!"|trans({}, 'game')}}</div>
                            {% endif %}
                        {% endif %}
                        <div class="tooltip">
                            {{ (role.message ?? 'Du bist der %rolename% dieser Stadt.')|trans({'%rolename%': role.label|trans({}, 'game')}, 'game')}}
                            <div class="ghoul-hunger-container hide-lg hide-desktop">
                                <div class="ghoul-hunger-background"></div>
                                <div class="ghoul-hunger-bar {% if hunger > 40 %}warning{% endif %}" style="width: {{ min(100,hunger) }}%"></div>
                                <div class="ghoul-hunger-indicator" style="left: 40%"></div>
                            </div>
                            {% if hunger > 400 %}
                                <div class="ghoul-message hide-lg hide-desktop">{{"Du wirst heute Nacht sterben!"|trans({}, 'game')}}</div>
                            {% endif %}
                        </div>
                    </li>
                {% endif %}
            {% endfor %}
            {% if banished %}
            <li class="status"><img src="{{ asset('build/images/icons/banished.gif') }}" alt="{{ 'Verbannt'|trans({},'game') }}">
                <div class="tooltip normal">
                    <b>{{ 'Verbannt'|trans({},'game') }}</b><br />
                    {% trans from 'game' %}
                        Deine Stadt hat entschieden, dich zu verbannen. Einige Aktionen stehen dir nicht länger zur
                        Verfügung.
                    {% endtrans %}
                </div>
            </li>
            {% endif %}
        </ul>
    {% endif %}
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
    </script>
{% endblock %}